Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.descriptors.copying
Class AbstractCopyPolicy

`java.lang.Object
oracle.toplink.descriptors.copying.AbstractCopyPolicy`

All Implemented Interfaces:
  java.lang.Cloneable, CopyPolicy, java.io.Serializable

Direct Known Subclasses:
  CloneCopyPolicy, InstantiationCopyPolicy

public abstract class AbstractCopyPolicy
extends java.lang.Object
implements CopyPolicy

Purpose: Allows customization of how an object is cloned. This class defines common behavoir that allows a subclass to be used and set on a descriptor to provide a special cloning routine for how an object is cloned in a unit of work.

See Also:
  Serialized Form

Constructor Summary
`AbstractCopyPolicy()`

Method Summary
`abstract java.lang.Object` | `buildClone(java.lang.Object domainObject, Session session)` Return a shallow clone of the object for usage with object copying, or unit of work backup cloning.
`abstract boolean` | `buildsNewInstance()` Return if a new instance is created or a clone.
`java.lang.Object` | `buildWorkingCopyClone(java.lang.Object domainObject, Session session)` By default use the buildClone.
`java.lang.Object` | `buildWorkingCopyCloneFromRow(Record row, ObjectLevelReadQuery query)` By default create a new instance.
`void` | `initialize(Session session)` Do nothing by default.
`void` | `setDescriptor(Descriptor descriptor)` Set the descriptor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCopyPolicy

    public AbstractCopyPolicy()

Method Detail

### buildClone

    public abstract java.lang.Object buildClone(java.lang.Object domainObject,
                                                Session session)
                                         throws DescriptorException

  Description copied from interface: `CopyPolicy`
  Return a shallow clone of the object for usage with object copying, or unit of work backup cloning.
  Specified by:
    `buildClone` in interface `CopyPolicy`
  Throws:
    `DescriptorException`

### buildWorkingCopyClone

    public java.lang.Object buildWorkingCopyClone(java.lang.Object domainObject,
                                                  Session session)
                                           throws DescriptorException

  By default use the buildClone.
  Specified by:
    `buildWorkingCopyClone` in interface `CopyPolicy`
  Throws:
    `DescriptorException`

### buildWorkingCopyCloneFromRow

    public java.lang.Object buildWorkingCopyCloneFromRow(Record row,
                                                         ObjectLevelReadQuery query)
                                                  throws DescriptorException

  By default create a new instance.
  Specified by:
    `buildWorkingCopyCloneFromRow` in interface `CopyPolicy`
  Throws:
    `DescriptorException`

### initialize

    public void initialize(Session session)
                    throws DescriptorException

  Do nothing by default.
  Specified by:
    `initialize` in interface `CopyPolicy`
  Throws:
    `DescriptorException`

### setDescriptor

    public void setDescriptor(Descriptor descriptor)

  Set the descriptor.
  Specified by:
    `setDescriptor` in interface `CopyPolicy`

### buildsNewInstance

    public abstract boolean buildsNewInstance()

  Return if a new instance is created or a clone.
  Specified by:
    `buildsNewInstance` in interface `CopyPolicy`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD